## Verschlüsselung von digitalen Geräten

19.12.2023 dezentrale e.V.

---

## dezentrale.space

<ul>
<li>Hackspace</li>
<li class="fragment">Anlaufpunkt für <u>alle</u> Technikinteressierte</li>
<li class="fragment">Gleich am Lindenau-Markt</li>
<li class="fragment">wöchentl. Projekte/Veranstaltungen</li>
<ul>
<li class="fragment">Hardware 4 Future</li>
<li class="fragment">Techniksprechstunde</li>
<li class="fragment">Freifunk Leipzig</li>
<li class="fragment">Crypto Party (in Planung)</li>
<li class="fragment">u.v.m.</li>
</ul>
</ul>

<aside class="notes">
Vielleicht bevor wir ins Thema einsteigen ein paar Worte zu uns.
Wir sind ein Hackspace.
Hackspace ist eine Ort für Technikinteressierte.
Technikinteressierte heißt dabei nicht zwingend, dass man in den Bereich arbeitet.
Unsere Mitglieder arbeiten in verschiedenen Bereich neben der IT in sozialen Berufen, Logistik, etc.

Wir haben über die Woche ständig Veranstaltungen im Space.
Bekannt sind wir so manchen vielleicht durch unsere Projekt Hardware 4 Future oder unsere Techniksprechstunde.
Bei uns trifft sich wöchentlich die Freifunk Leipzig Community.
Eine Crypto Party ist zz. noch in der Planung.
Aber wir haben noch viele andere Veranstaltungen.
Wer dazu etwas wissen möchte, kann uns gern nach der Veranstaltung ansprechen oder im Space vorbeikommen.
</aside>

---

## Disclaimer und Zielsetzung
<ul>
<li class="fragment">Vortrag nur Einsteig</li>
<li class="fragment">eigene Recherche unumgänglich</li>
<li class="fragment">Themenbereich komplex</li>
<li class="fragment">Nicht alles auf einmal</li>
<li class="fragment">erfolgreich, wenn alle mitmachen</li>
</ul>

---

## Was der heute nicht passiert

<br>
<div class="fragment">❌ 1,5h Schritt-für-Schritt-Anleitung</div>
<br>
<div class="fragment">❌ Gruselgeschichten über Überwachung</div>
<br>
<div class="fragment">❌ Anleitungen wie werde ich unsichtbar</div>

<aside class="notes">
Was ihr heute nicht bekommt

Eine Schritt-für-Schritt-Anleitung wir man alles sicher macht.
Das erfordert eine genau Kenntnis, was ihr einsetzt, warum ihr es einsetzt.

Weiter sollte man sich keine Illusionen machen, dass ihr hier etwas hört, was für immer Bestand hat.
Wir versuchen die Best-Practices zu vermitteln.
Sie umsetzen müsst ihr selbst.
</aside>

---

## Geräteverschlüsselung

Warum? Ich bin doch nur ...

<aside class="notes">
Zuerst 
</aside>

---

### Passant

<img src="media/2021-01-01 @Alexander Böhm Schlagzeug-Solo am Connewitzer Kreuz.jpg" width="600em">
<div style="font-size: smaller">

*Bild: Alexander Böhm*
</div>

---

### Demonstrat:in

<img src="media/2023-06-05 Screenshot Nach Tag X-Wochenende in Leipzig Die Wut der über Tausend.png" width="600em">
<div style="font-size: smaller">

*Quelle: [L-IZ/Bild: Tom Richter](https://www.l-iz.de/politik/brennpunkt/2023/06/nach-tag-x-wochenende-in-leipzig-die-wut-der-ueber-tausend-videos-538847)*
</div>

---

### Journalist:in

<img src="media/2023-06-03 Screenshot Welt Leipzig Polizei sehr nervös weil noch einige andere Großereignisse stattfinden.png" width="600em"/>
<div style="font-size: smaller">

*Quelle: [Welt.de](https://www.welt.de/politik/deutschland/video245682220/Tag-X-in-Leipzig-Polizei-sehr-nervoes-weil-noch-einige-andere-Grossereignisse-stattfinden.html)*
</div>

---

### im Einsatz

<img src="media/2023-06-03 twitter @simmerl19 maskierter staatsanwalt tag x leipzig.png" width="600em">
<div style="font-size: smaller">

*Quelle: [X/Simon (@simmerl19)](https://twitter.com/Simmerl19/status/1665052807165009920)*
</div>

---

### Straßenkampfromantik

<img src="media/2023-06-03 Screenshot MDR Der Tag X in Leipzig in Bildern Krawalle und Kundgebungen.png" width="1500em">
<div style="font-size: smaller">

*Quelle: [MDR/Bild: Bernd März](https://www.mdr.de/nachrichten/sachsen/leipzig/leipzig-leipzig-land/demo-tagx-lina-polizei-kundgebungen-krawalle-100.html)*
</div>

---

## Zur Falschen Zeit am falschen Ort

---

### Unfreiwillig im Polizeikessel

<img src="media/2023-11-11 Screenshot L-IZ Einkesselung und Demoverbote im Fokus 200 Fragen zum sogenannten Tag X in Leipzig.png" width="600em">
<div style="font-size: smaller">

*Quelle: [L-IZ/Bild: Tom Richter](https://www.l-iz.de/politik/sachsen/2023/11/einkesselung-und-demoverbote-im-fokus-200-fragen-sogenannter-tag-x-leipzig-563523)*
</div>

---

### Beschlagnahme

<img src="media/openclipart @schoolfreeware pictogram no cell phone.png" width="400em">
<div style="font-size: smaller">

*Bild: [Openclipart/@schoolfreeware](https://openclipart.org/detail/291049/no-cell-phones-free-clipart-download-no-smartphone-icon)*
</div>

---

### Hausbesuch

<img src="https://www.l-iz.de/wp-content/uploads/2023/03/Razzia-1070x713.jpg" width="500em">
<div style="font-size: smaller">

*Bild: LZ*
</div>

---

### Geräte weg

<img src="https://upload.wikimedia.org/wikipedia/commons/thumb/1/1b/Laptop%2C_Small_notebook%2C_Netbook%2C_Rostov-on-Don%2C_Russia.jpg/800px-Laptop%2C_Small_notebook%2C_Netbook%2C_Rostov-on-Don%2C_Russia.jpg?20221225145716" width="500em">
<div style="font-size: smaller">

*Bild: [Wikipedia/Vyacheslav Argenberg](https://commons.wikimedia.org/wiki/File:Laptop,_Small_notebook,_Netbook,_Rostov-on-Don,_Russia.jpg)*
</div>

---

### Und noch mehr Geräte weg

<img src="https://upload.wikimedia.org/wikipedia/commons/thumb/4/4f/All_PlayStations_%281-5%2C_PSP%2C_%26_Vita%29.jpg/800px-All_PlayStations_%281-5%2C_PSP%2C_%26_Vita%29.jpg?20230718234712" width="500em">
<div style="font-size: smaller">

*Bild: [Wikipedia/JDC808](https://commons.wikimedia.org/wiki/File:All_PlayStations_(1-5,_PSP,_%26_Vita).jpg)*
</div>

---

### ... und noch mehr Geräte weg

<img src="https://upload.wikimedia.org/wikipedia/commons/4/4b/FRITZ%21Box_7490-1501.jpg" width="400em">
<div style="font-size: smaller">

*Bild: [Wikipedia/Raimond Spekking](https://commons.wikimedia.org/wiki/File:FRITZ!Box_7490-1501.jpg)*
</div>

---

### ... achja und die Cloud

<img src="https://upload.wikimedia.org/wikipedia/commons/thumb/1/10/Cloud_Storage_Safe_Cartoon.svg/1011px-Cloud_Storage_Safe_Cartoon.svg.png" width="500em">
<div style="font-size: smaller">

*Bild: [Wikipedia/Free Clip Art](https://commons.wikimedia.org/wiki/File:Cloud_Storage_Safe_Cartoon.svg)*
</div>

---

### Keine Ahnung

<img src="https://cdn.dribbble.com/users/570218/screenshots/2218178/minion_nokeyframerig_old-pc.gif" width="500em">
<div style="font-size: smaller">

*Bild: [dribbble.com/Fremox](https://dribbble.com/shots/2218178-animated-Minion-Old-Computer)*
</div>

<aside class="notes">
Ich hab doch sowieso keine Ahnung.
Ich nutze die Geräte ja nur.
Da gibts so viele Leute, die so viel mehr Ahnung haben.
</aside>

---

### Überwachung überall

<img src="media/2019-10-23 JRE Clips Edward Snowden: How Your Cell Phone Spies on You.png" width="800em">
<div style="font-size: smaller">

*Quelle: [Youtube/JRE Clips](https://www.youtube.com/watch?v=VFns39RXPrU)*
</div>

<aside class="notes">
Und
Die Überwachung ist ja überall.
Die Firmen überwachen uns ständig.
Der Staat überwacht uns ständig.
Meine Daten sind sowieso schon überall.
</aside>

---

<img src="https://askingforwhatyouwant.com/wp-content/uploads/2015/02/No.png" width="500em">

<aside class="notes">
Aber:
Das stimmt so nicht.
Ihr könnt selbst aktiv werden und dagegen etwas tun.
</aside>

---

### Digitale Selbstverteidigung

<ul style="margin-left: -8em">
<li>Datenschutz und -sicherheit</li>
<li class="fragment">Technik nur Basis</li>
<li class="fragment">ohne Organisation zwecklos</li>
<li class="fragment">Was passiert mit meinen Daten?</li>
<li class="fragment">Wo sind meine Daten?</li>
</ul>

<img class="fragment" src="media/meme neo i know kung fu.webp" style="position: absolute; margin-left: 2em">

<aside class="notes">
Dagegen hilft digitale Selbstverteidigung

Datenschutz meint dabei den Schutz vor der Erlangung ggü. Dritten.
Sicherheit bedeutet, dass die Daten nicht zweckentfremdet oder manipuliert werden.

Technik stellt dabei nur die Basis.
Die beste Technik hilft nichts, wenn ihr Zweck durch den Nutzer umgangen wird.
Gründe gibt es dafür viele.

Deshalb ist Organisation dafür grundlegend wichtig.
Wenn ich einem Gerät oder einer Software meine Daten anvertraue, sollte ich mir zwei grundlegende Fragen stellen.
Was passiert mit meinen Daten und wo sind sie?

Und das sind Fragen, die sich jeder stellen kann. Was passiert mit dem Katzenvideo, wenn ich es an meine Freunde schicke.
</aside>

---

### Risikobewertung

<table width="1200em">
<tr>
<td style="width: 300em">

* Gute digitale Selbstverteidigung beginnt immer mit einer realistischen Abschätzung der Bedrohungsszenarien
</td>
<td style="width: 800em">
<img src="media/NPF-Dreieck_example.png" style="margin-bottom: -2em">
</td>
</tr>
</table>

---

### Beweissicherung

<div style="font-size: smaller; width: 50em; margin-left: -12em">

> Als Beweismittel fallen Datenträger unzähliger Formate, Magnetbänder, Magnetbandkassetten, Fest- und Wechselplatten, Speicherkarten aller Formate, E-Book-Reader, Spielekonsolen, Chipkarten, optische Medien sowie Mobiltelefone/Smartphones und SIM-Karten an. [...]
>
> Immer größere Relevanz bekommen Speicherkapazitäten im Internet, so genannte Cloudspeicher.
</div>
<div style="font-size: smaller; width: 55em; margin-left: -15em">

*Quelle: [Website BKA](https://www.bka.de/DE/UnsereAufgaben/Ermittlungsunterstuetzung/Technologien/IT-Forensik/it_forensik_node.html)*
</div>

---

### Blick ins Gesetz

<ul>
<li>Beschuldigte:r im Verfahren</li>
<li class="fragment">Aussageverweigerungsrecht</li>
<li class="fragment">Schutz durch Beruf?</li>
<li class="fragment">Passwort = Aussage</li>
<li class="fragment">Kein Passwort = Aussageverweigerungsrecht</li>
<li class="fragment">Biometrie (Fingerabdruck, Gesicht) ≠ Passwort</li>
</ul>

<aside class="notes">
Wenn ich beschuldigter im Verfahren bin, dann habe ich ein Aussageverweigerungsrecht.
Eventuell habe ich auch besondere Rechte, weil ich einem geschützten Beruf ausübe, wie Journalist:in, Ärzt:in, Seelsorger:in.
Grundsätzlich wird mein Passwort als Aussage gewertet.
Wenn ich es nicht mein Passwort herausgeben, dann mache ich keine Aussage, was mein Recht ist.
Allerdings sollte beachtet werden, dass biometrische Merkmale bspw. der Fingerabdruck nicht dazu zählen.
</aside>

---

### Geräteverschlüsselung

<table width=1000em>
<tr>
<td width=500em>
<ul>
<li>Braucht meist geschütztes Merkmal</li>
<li class="fragment">Schützt vor Zugriff Dritter</li>
<li class="fragment">Weit verbreitet</li>
<li class="fragment">Umgehung ⇒<br>Wissen & Technik</li>
<li class="fragment">⚠️ Integrität des Gerätes</li>
</ul>
</td>
<td width=400em>
<div class="fragment">
<img src="https://upload.wikimedia.org/wikipedia/commons/thumb/1/1e/USB_Hardware_Keylogger.jpg/1342px-USB_Hardware_Keylogger.jpg">
<div style="font-size: smaller">

*USB Keylogger, Bild: Wikipedia/Stefan Bellini*
</div>
</div>
</td>
</tr>
<table>

---

### Aber

bei Verschlüsselung gibt es viele Stolperfallen

<img src="media/Tor-ohne-Zaun.jpg" width=400em>

---

#### Convenience

* automatische Entsperrung
* Entsperrung mit dem Fingerabdruck
* Entsperrung mit unsicheren PIN
* Entsperrung mit unsicheren Passwörter
* mehrfach verwendete Passwörter
* Rücksetzmechanismen

---

#### Informationslecks

* unverschlüsselte Daten in der Cloud
* unverschlüsselte Backups
* Pseudosichere Lösungen
* schwache Algorithmen
* technische Umsetzung

---

#### Datenverlust

* Vergessene Passwörter
* Verlorene Schlüssel
* Verlorene/gesperrte Geräte & Accounts
* Unzureichende hinterlegte Rücksetzinformationen

---

## Was macht ein gutes Passwort aus?

* Schwer zu erraten
* Möglichst lang -> Länge > Komplexität
* Leicht einzuprägen -> Aufzeichnung verringert Sicherheit
* Keinen unmittelbaren Bezug zur eigenen Person

---

## Wie erstelle ich ein Passwort das diese Anforderungen erfüllt?

* Passphrasen generell leichter zu merken
* Können generiert oder ausgedacht werden

---
## Hypothetisches Szenario

* Angeschaltetes Gerät
* Gerät hat PIN & gesperrt
* Sensible Daten sind auf dem Gerät
* Angreifer möchte an Daten

---

### Gerät weg

[![](https://mermaid.ink/img/pako:eNqFkbFOwzAQhl_lZCnKkordQyWkqhUSFKRKDCiL61xSK40TLg4IRX2JioGNBR4AZra-EI_AOYnSLoC92Hfff_6tvxW6TFBIEQQtGGuchBZCt8ECQwlhoigPo6Fwq8io9RbrsIN874rFfHPUIOz8DoLY1njfoNU4MyojVcQWeCntSoLrKkXqC5UiZ7SplHWwQDq8uVPw3GaEZoQ73WQ67UEJK7S1YSswUw7tL4wmRDu5LHUO36_P-55alg6hfMDBSzQ-JAcX8IgZ8y8fPT_2Jyej58ZmSGqdUKPzswXWRm8ci_aff4huLpZA3m4H_gOveCLSBo2rt4cvneMoOgqPX-lVp3-Z84Ebd01GJk29-F1EokAqlEk47taPiEWXaywkH32csYjtjjnVuHL1ZLWQPtlINFXCxoc8hUzVtsbdDzth0aQ?type=png)](https://mermaid.live/edit#pako:eNqFkbFOwzAQhl_lZCnKkordQyWkqhUSFKRKDCiL61xSK40TLg4IRX2JioGNBR4AZra-EI_AOYnSLoC92Hfff_6tvxW6TFBIEQQtGGuchBZCt8ECQwlhoigPo6Fwq8io9RbrsIN874rFfHPUIOz8DoLY1njfoNU4MyojVcQWeCntSoLrKkXqC5UiZ7SplHWwQDq8uVPw3GaEZoQ73WQ67UEJK7S1YSswUw7tL4wmRDu5LHUO36_P-55alg6hfMDBSzQ-JAcX8IgZ8y8fPT_2Jyej58ZmSGqdUKPzswXWRm8ci_aff4huLpZA3m4H_gOveCLSBo2rt4cvneMoOgqPX-lVp3-Z84Ebd01GJk29-F1EokAqlEk47taPiEWXaywkH32csYjtjjnVuHL1ZLWQPtlINFXCxoc8hUzVtsbdDzth0aQ)
<!-- 
https://mermaid.live/edit#pako:eNqFkbFOwzAQhl_lZCnKkordQyWkqhUSFKRKDCiL61xSK40TLg4IRX2JioGNBR4AZra-EI_AOYnSLoC92Hfff_6tvxW6TFBIEQQtGGuchBZCt8ECQwlhoigPo6Fwq8io9RbrsIN874rFfHPUIOz8DoLY1njfoNU4MyojVcQWeCntSoLrKkXqC5UiZ7SplHWwQDq8uVPw3GaEZoQ73WQ67UEJK7S1YSswUw7tL4wmRDu5LHUO36_P-55alg6hfMDBSzQ-JAcX8IgZ8y8fPT_2Jyej58ZmSGqdUKPzswXWRm8ci_aff4huLpZA3m4H_gOveCLSBo2rt4cvneMoOgqPX-lVp3-Z84Ebd01GJk29-F1EokAqlEk47taPiEWXaywkH32csYjtjjnVuHL1ZLWQPtlINFXCxoc8hUzVtsbdDzth0aQ
-->

<aside class="notes">
* Nutzer hat Screen-Lock aktiviert
* Gerät wird entwendet oder Beschlagnahme
* Entsperrung mit Fingerabdruck meist einfach
* PIN raten wird schwierig, evlt. Sicherung in Hardware (Apple/Google) oder viele PINs durchraten
* Sehr teuer Sicherheitslücke ausnutzen
  * bspw. Bayern 250.000€ für Einrichtung eines Labors
  * Begrenzte Ressourcen
  * Auslagerung an Dienstleister
</aside>

---

### Cloud weg

[![](https://mermaid.ink/img/pako:eNp9ks9Kw0AQxl9lWCi5pO09SEEsnuofKHiQXLabaTK02Y2TTUVCX6J49-QLePbmC_kIzia2FbRmL9mZ7_vNzDKtMi5DlajBoAWy5BNoIfIFlhglEGWaV1H8HbjTTHqxxjrqRCF3JWa5eW4QtuEMBqmt8aFBa3BKOmddphbk08Y7hptqiRyufbDS7MlQpa2HKW7IIOga5qWEq8JZHJ8teDLTlXfVeDQa_TZdrF2T_SxwbnNGkiJ9sKs3nEx6eAJztDXJCDDVHm2v6XMi6mCiebKmYGep1p6cPQEyjGiHM2dW8PnyvDvOdOhgeETeP2qbi2739odmj_zH3uTBz6HnjnKCtB-ATIFcIPl6_fFuVggLJLhlt6FMXn8POEKunUdwG8l1hPgATeBSfiQuHTAtl8H7qmJVIpeaMlmbNhBS1e1HqmQIFdYiVandik433oXnVEnYkFg1VSYzfO-FSpZ6XeP2C-eU4Y0?type=png)](https://mermaid.live/edit#pako:eNp9ks9Kw0AQxl9lWCi5pO09SEEsnuofKHiQXLabaTK02Y2TTUVCX6J49-QLePbmC_kIzia2FbRmL9mZ7_vNzDKtMi5DlajBoAWy5BNoIfIFlhglEGWaV1H8HbjTTHqxxjrqRCF3JWa5eW4QtuEMBqmt8aFBa3BKOmddphbk08Y7hptqiRyufbDS7MlQpa2HKW7IIOga5qWEq8JZHJ8teDLTlXfVeDQa_TZdrF2T_SxwbnNGkiJ9sKs3nEx6eAJztDXJCDDVHm2v6XMi6mCiebKmYGep1p6cPQEyjGiHM2dW8PnyvDvOdOhgeETeP2qbi2739odmj_zH3uTBz6HnjnKCtB-ATIFcIPl6_fFuVggLJLhlt6FMXn8POEKunUdwG8l1hPgATeBSfiQuHTAtl8H7qmJVIpeaMlmbNhBS1e1HqmQIFdYiVandik433oXnVEnYkFg1VSYzfO-FSpZ6XeP2C-eU4Y0)
<!--
https://mermaid.live/edit#pako:eNp9ks9Kw0AQxl9lWCi5pO09SEEsnuofKHiQXLabaTK02Y2TTUVCX6J49-QLePbmC_kIzia2FbRmL9mZ7_vNzDKtMi5DlajBoAWy5BNoIfIFlhglEGWaV1H8HbjTTHqxxjrqRCF3JWa5eW4QtuEMBqmt8aFBa3BKOmddphbk08Y7hptqiRyufbDS7MlQpa2HKW7IIOga5qWEq8JZHJ8teDLTlXfVeDQa_TZdrF2T_SxwbnNGkiJ9sKs3nEx6eAJztDXJCDDVHm2v6XMi6mCiebKmYGep1p6cPQEyjGiHM2dW8PnyvDvOdOhgeETeP2qbi2739odmj_zH3uTBz6HnjnKCtB-ATIFcIPl6_fFuVggLJLhlt6FMXn8POEKunUdwG8l1hPgATeBSfiQuHTAtl8H7qmJVIpeaMlmbNhBS1e1HqmQIFdYiVandik433oXnVEnYkFg1VSYzfO-FSpZ6XeP2C-eU4Y0
-->

---

## Geräteverschlüsselung

---

### Smartphones

---

#### Android

* PIN setzen
* regelmäßig Updates
* Unterstützung für Speicherkarten
* Probleme
  * Fingerabdruck
  * Support-Ende nach 18 Monaten ab Verkaufsstart
* Variante GrapheneOS mit Sicherheitsfokus

---

#### iOS

* PIN setzen ist Pflicht
* regelmäßig Updates
* Langer Supportzeitraum
* Probleme
  * Entsperrung mit FaceID/Fingerabdruck/Watch
  * Supportende unklar

---

### PCs

---

#### Hardware

<table>
<tr>
<td style="width: 350em">

<ul>
<li>Betriebssystem unabhängig</li>
<li class="fragment">Festplatten verschlüsselt selbst</li>
<li class="fragment">Probleme</li>
<ul>
<li class="fragment">OPAL-Unterstützung notwendig</li>
<li class="fragment">Kaum überprüfbar</li>
<li class="fragment">Hersteller-abhängig</li>
</ul>
</ul>
</td>
<td style="width: 300em">
<img src="media/Screenshot - OPAL - BIOS-Password.png" style="padding-bottom: 2em">
</td>
</tr>
</table>

---

#### Windows (1)

<table width="1100em">
<tr>
<td style="width: 400em">

* Bitlocker
* Freischaltung bei Start
* Probleme
  * nur Pro-Versionen
  * Wiederherstellungsschüssel sicher aufbewahren
</td>
<td style="width: 400em">
<img src="media/Screenshot - Bitlocker - Password.png" style="padding-bottom: 0em">
</td>
</tr>
</table>

---

#### Windows (2)

<table width="1100em">
<tr>
<td style="width: 400em">
<ul>
<li>Veracrypt</li>
<li class="fragment">Alternative zu Bitlocker</li>
<li class="fragment">Externe Laufwerke</li>
<li class="fragment">Freischaltung bei Start</li>
<li class="fragment">BSI-Audit</li>
<li class="fragment">Probleme: Systemupdates</li>
</ul>
</td>
<td style="width: 600em">
<img src="https://upload.wikimedia.org/wikipedia/commons/8/80/VeraCrypt_screenshot.png" style="padding-bottom: 1em">
</td>
</tr>
</table>

---

#### Linux

<table width="1100em">
<tr>
<td style="width: 400em">

* Bei Installation
    * Systemverschlüsselung
* Nur Nutzerdaten möglich
* Probleme
  * Nachträglich aufwendig
<br>
<br>
<br>
</td>
<td style="width: 300em">
<img src="media/Screenshot - Ubuntu - boot-password.jpg" style="padding-top: -1em">
</td>
</tr>
</table>

---

#### MacOS

<table>
<tr>
<td style="width: 350em">

* FileVault 2
* Freischaltung bei Start
* Nachträglich aktivierbar
* Probleme
  * Diskrepanz zwischen Login- und Verschlüsselungspasswort möglich
  * Time Machine Backups standartmäßig unverschlüsselt
</td>
<td style="width: 300em">
<img src="media/Symbol Filevault 2.webp" style="padding-bottom: 2em">
</td>
</tr>
</table>

---

## Kollaboration

---

#### Ende-Zu-Ende-Verschlüsselung hilft

[![](https://mermaid.ink/img/pako:eNqNks9Og0AQxl9lswnhgjH2uDFNNDWe9NLYE5cBxrIRduvs0MSQvolHH8NbX8xZoP6rTYQLO_P7vvmA6XXpK9RGJ0mvrLNsVK9SrrHF1Ki0AnpKs6mwArJQNBjSAYq9OxHLialDtYt3kuQu4HOHrsSFhTVBmzslF5TsST0EpAsFQV01tsTfnVnsXPtirG-A2JZ2A47VArfCD8pbpP0bR-AUNvvCjpEl0hZprN97RuXlePDPDg5G9DXa1tkwokPws_l8Ao34uGDlY6gFMLoTfkatkEJZN_v3ELDp3FpVsfslmUBxHoMZtX8tkJhgHentdzn_lI6Cz0ySefniypq8hAa23p1fFjQf7FrLHKf_HVOUN47_EXMmw4b_dPz6I5Y7nelW5oGtZKf6WM31sDy5NvIYdybXudsJBx37mFibuD6Z7jaVeE1Lo80jNAF3HxxY5sI?type=png)](https://mermaid.live/edit#pako:eNqNks9Og0AQxl9lswnhgjH2uDFNNDWe9NLYE5cBxrIRduvs0MSQvolHH8NbX8xZoP6rTYQLO_P7vvmA6XXpK9RGJ0mvrLNsVK9SrrHF1Ki0AnpKs6mwArJQNBjSAYq9OxHLialDtYt3kuQu4HOHrsSFhTVBmzslF5TsST0EpAsFQV01tsTfnVnsXPtirG-A2JZ2A47VArfCD8pbpP0bR-AUNvvCjpEl0hZprN97RuXlePDPDg5G9DXa1tkwokPws_l8Ao34uGDlY6gFMLoTfkatkEJZN_v3ELDp3FpVsfslmUBxHoMZtX8tkJhgHentdzn_lI6Cz0ySefniypq8hAa23p1fFjQf7FrLHKf_HVOUN47_EXMmw4b_dPz6I5Y7nelW5oGtZKf6WM31sDy5NvIYdybXudsJBx37mFibuD6Z7jaVeE1Lo80jNAF3HxxY5sI)
<!--
https://mermaid.live/edit#pako:eNqNks9Og0AQxl9lswnhgjH2uDFNNDWe9NLYE5cBxrIRduvs0MSQvolHH8NbX8xZoP6rTYQLO_P7vvmA6XXpK9RGJ0mvrLNsVK9SrrHF1Ki0AnpKs6mwArJQNBjSAYq9OxHLialDtYt3kuQu4HOHrsSFhTVBmzslF5TsST0EpAsFQV01tsTfnVnsXPtirG-A2JZ2A47VArfCD8pbpP0bR-AUNvvCjpEl0hZprN97RuXlePDPDg5G9DXa1tkwokPws_l8Ao34uGDlY6gFMLoTfkatkEJZN_v3ELDp3FpVsfslmUBxHoMZtX8tkJhgHentdzn_lI6Cz0ySefniypq8hAa23p1fFjQf7FrLHKf_HVOUN47_EXMmw4b_dPz6I5Y7nelW5oGtZKf6WM31sDy5NvIYdybXudsJBx37mFibuD6Z7jaVeE1Lo80jNAF3HxxY5sI
-->

---

### Messenger Allgemein

<ul>
<li>Nutzt Messenger, die</li>
<ul>
  <li class="fragment">ihren Code prüfen lassen</li>
  <li class="fragment">Verifizierung von Kontakten unterstützen</li>
  <li class="fragment">Ende-zu-Ende verschlüsseln</li>
</ul>
<div class="fragment">
<li>Beispiele</li>
<ul>
  <li>Signal</li>
  <li>Matrix/Element</li>
  <li>Briar</li>
  <li>Threema</li>
</ul>
</div>
</ul>

<aside class="notes">
</aside>

---

### Kommerz. & kostenlose Messenger

<ul>
<li>Keine Empfehlung</li>
<li class="fragment">Privatsphäre gegen Profit</li>
<div class="fragment"> 
<li>Telegram</li>
<ul>
<li>Server Code nicht öffentlich</li>
<li>Kein Crypto standardmäßig</li>
<li>Kein Crypto bei Gruppenchats</li>
</ul>
</div>
<div class="fragment"> 
<li>WhatsApp</li>
<ul>
<li>Tracker</li>
<li>Code nicht öffentlich</li>
</ul>
</div>
<li class="fragment">...</li>
<ul>

---

### E-Mail

* (Open)PGP oder S/MIME
* Erfahrungsgemäß schwierig
* Öffentliche Schlüssel auf Keyserver

---

### Cloud Dienste

<table>
<tr>
<td>
<ul>
<li>Anwendungszweck wichtig</li>
<li class="fragment">Cryptomator</li>
<li class="fragment">Cryptpad</li>
<li class="fragment">Nextcloud</li>
</td>
<td>
</td>
</tr>
</table>

<aside class="notes">
* Cryptomator
  * Anbindung für diverse Cloud-Anbieter
  * Daten nur verschlüsselt abgelegt
* Cryptpad
  * Kollaborationsplattform
  * E2E-Verschlüsselung
* Nextcloud
  * Diverse Applikationen
  * Self-Hosting
  * E2E-Verschlüsselung optional
</aside>

---
### VPN

* Geeignete Anwendungsfälle begrenzt
* Viel Desinformation/Halbwahrheiten durch Werbung
* Primär Vertrauensverlagerung
---

### Passwortspeicher - Browser

* Webbrowser
* ⚠️  Synchronisation (Google)
* Master Passwort setzen (Firefox)
* Integration in Betriebssystem (Apple)
* 3rd-Party Lösungen

---

### Passwortspeicher - Betriebssystem

* Betriebssystem
* Schlüsselring
* Problem mit automatischen Logins

---

### Passwortspeicher - 3rd-Party

* Diverse Lösungen
* Teilw. mit Integrationen
* Beispiele
    * KeePass
    * KeePassX / KeePassXC
    * Bitwarden
    * etc.

---

### Zum Nachlesen

<table>
<tr>
<td style="width: 100em">

* Anleitungen
* Anlaufstellen
* Termine
* Link: fckaf.de/OUY
<br>
<br>
<br>
</td>
<td style="width: 100em">
<a href="https://hedgedoc.dezentrale.space/werk2verschluesselung#"><img src="https://api.qrserver.com/v1/create-qr-code/?color=000000&bgcolor=FFFFFF&data=https%3A%2F%2Fhedgedoc.dezentrale.space%2Fwerk2verschluesselung%23&qzone=1&margin=0&size=400x400&ecc=L"></a>
</td>
</tr>
</table>

---

## Q&A

<!--
    vim: spelllang=de_20 expandtab
-->
